[RIJEŠENO] Debian login vidljivost korisnika

Diskusije usko vezane uz Debian distribuciju.

Moderator/ica: Moderatori/ce

Avatar
Optimus
Postovi: 501
Pridružen/a: 08 ruj 2018, 11:21
Spol: M
OS: Debian 13; LMDE 7

[RIJEŠENO] Debian login vidljivost korisnika

Post Postao/la Optimus »

Molim Debian experte za malu pomoć...
Kako da dođem do ispunjenog user polja na Debian login ekranu, kao i eventualno slike svog profila...
Znam da sam tu "muku" mogao preskočiti sa automatskom prijavom prilikom instalacije, ali zašto se ne ponaša kao druge distribucije, gdje te fino dočeka korisničko ime ti unosiš samo lozinku...
Nije baš neki epohalni problem, ali ipak...
Zeza me malo prijenos slike, ali kužite o čemu govorim...
Zadnja izmjena: Optimus, dana/u 04 svi 2019, 12:48, ukupno mijenjano 2 puta.
Avatar
Optimus
Postovi: 501
Pridružen/a: 08 ruj 2018, 11:21
Spol: M
OS: Debian 13; LMDE 7

Re: Debian login vidljivost korisnika

Post Postao/la Optimus »

Dakle, nije vrijedno odgovora... a kako sada uopće isključiti logiranje bez ponovne instalacije, odnosno uključiti automatsku prijavu... ?
Avatar
Lutherus
Postovi: 130
Pridružen/a: 02 tra 2019, 12:58
Spol: M
OS: Gentoo, xmonad
Lokacija: Nymphenburg

Re: Debian login vidljivost korisnika

Post Postao/la Lutherus »

Zapravo ne pa bi bilo super da malo detaljnije objasnis ili posaljes neku sliku kak to izgleda.
Avatar
rudar
Postovi: 1208
Pridružen/a: 27 ruj 2012, 12:39
Spol: M
OS: Kub 24.04 LTS,Deb 13 KDE

Re: Debian login vidljivost korisnika

Post Postao/la rudar »

Optimus je napisao/la:Dakle, nije vrijedno odgovora... a kako sada uopće isključiti logiranje bez ponovne instalacije, odnosno uključiti automatsku prijavu... ?
Koje je radno okruženje?
Avatar
Optimus
Postovi: 501
Pridružen/a: 08 ruj 2018, 11:21
Spol: M
OS: Debian 13; LMDE 7

Re: Debian login vidljivost korisnika

Post Postao/la Optimus »

rudar je napisao/la:
Optimus je napisao/la:Dakle, nije vrijedno odgovora... a kako sada uopće isključiti logiranje bez ponovne instalacije, odnosno uključiti automatsku prijavu... ?
Koje je radno okruženje?

Kod: Označi sve

[ip@debian ~]$ screenfetch
         _,met$$$$$gg.           ivopoljak@debian
      ,g$$$$$$$$$$$$$$$P.        OS: Debian 9.8 stretch
    ,g$$P""       """Y$$.".      Kernel: x86_64 Linux 4.9.0-8-amd64
   ,$$P'              `$$$.      Uptime: 12h 25m
  ',$$P       ,ggs.     `$$b:    Packages: 2334
  `d$$'     ,$P"'   .    $$$     Shell: bash 4.4.12
   $$P      d$'     ,    $$P     Resolution: 1680x1050
   $$:      $$.   -    ,d$$'     DE: Cinnamon 3.2.7
   $$\;      Y$b._   _,d$P'      WM: Muffin
   Y$$.    `.`"Y$$$$P"'          WM Theme:  (TraditionalGreen)
   `$$b      "-.__               GTK Theme: Adwaita [GTK2/3]
    `Y$$                         Icon Theme: hicolor
     `Y$$.                       Font: Sans 9
       `$$b.                     CPU: Pentium Dual-Core CPU E5400 @ 2.7GHz
         `Y$$b.                  GPU: Mesa DRI Intel(R) G41 
            `"Y$b._              RAM: 1060MiB / 3921MiB
                `""""           
                                
[ip@debian ~]$ 

Zadnja izmjena: Optimus, dana/u 22 tra 2019, 16:40, ukupno mijenjano 1 put.
Avatar
Lutherus
Postovi: 130
Pridružen/a: 02 tra 2019, 12:58
Spol: M
OS: Gentoo, xmonad
Lokacija: Nymphenburg

Re: Debian login vidljivost korisnika

Post Postao/la Lutherus »

Oik upises username i poassword, stisnes enter i unutra si
Avatar
Optimus
Postovi: 501
Pridružen/a: 08 ruj 2018, 11:21
Spol: M
OS: Debian 13; LMDE 7

Re: Debian login vidljivost korisnika

Post Postao/la Optimus »

Lutherus je napisao/la:Ok upises username i password, stisnes enter i unutra si
O tome se i radi, nije problem sam ulazak...
slika
Sa upotrebom lozinkom sam se još i saživio, ali zašto se username ne pojavljuje sam, kao kod drugih distribucija...
Jeli moguća intervencija u Debian utrobu da isključim logiranje, odnosno da uključim automatsku prijavu, bez nove instalacije...
Avatar
Lutherus
Postovi: 130
Pridružen/a: 02 tra 2019, 12:58
Spol: M
OS: Gentoo, xmonad
Lokacija: Nymphenburg

Re: Debian login vidljivost korisnika

Post Postao/la Lutherus »

Otvori terminal

sudo nano /usr/share/lightdm/lightdm.conf.d/01_debian.conf

i unesi

Kod: Označi sve

[SeatDefaults]
autologin-user=username
autologin-user-timeout=0
Avatar
Optimus
Postovi: 501
Pridružen/a: 08 ruj 2018, 11:21
Spol: M
OS: Debian 13; LMDE 7

Re: Debian login vidljivost korisnika

Post Postao/la Optimus »

Lutherus je napisao/la:Otvori terminal

sudo nano /usr/share/lightdm/lightdm.conf.d/01_debian.conf

i unesi

Kod: Označi sve

[SeatDefaults]
autologin-user=username
autologin-user-timeout=0
Trenutno u rečenoj datoteci imam ovo:

Kod: Označi sve

[Seat:*]
greeter-session=lightdm-greeter
greeter-hide-users=true
session-wrapper=/etc/X11/Xsession
Dali da to zamjenim sa tvojim codom, ili da stavim pod komentar #, inače Hvala!

Kako da postavim stvari ako želim samo pojavu usera i unos loznke...[/size]
Avatar
Optimus
Postovi: 501
Pridružen/a: 08 ruj 2018, 11:21
Spol: M
OS: Debian 13; LMDE 7

Re: Debian login vidljivost korisnika

Post Postao/la Optimus »

Lutherus je napisao/la:Otvori terminal

sudo nano /usr/share/lightdm/lightdm.conf.d/01_debian.conf

i unesi

Kod: Označi sve

[SeatDefaults]
autologin-user=username
autologin-user-timeout=0

Kod: Označi sve

session-wrapper=/etc/X11/Xsession

Kod: Označi sve

#!/bin/sh
#
# /etc/X11/Xsession
#
# global Xsession file -- used by display managers and xinit (startx)

# $Id: Xsession 967 2005-12-27 07:20:55Z dnusinow $

set -e

PROGNAME=Xsession

message () {
  # pretty-print messages of arbitrary length; use xmessage if it
  # is available and $DISPLAY is set
  MESSAGE="$PROGNAME: $*"
  echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2
  if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
    echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
  fi
}

message_nonl () {
  # pretty-print messages of arbitrary length (no trailing newline); use
  # xmessage if it is available and $DISPLAY is set
  MESSAGE="$PROGNAME: $*"
  echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2;
  if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
    echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
  fi
}

errormsg () {
  # exit script with error
  message "$*"
  exit 1
}

internal_errormsg () {
  # exit script with error; essentially a "THIS SHOULD NEVER HAPPEN" message
  # One big call to message() for the sake of xmessage; if we had two then
  # the user would have dismissed the error we want reported before seeing the
  # request to report it.
  errormsg "$*" \
           "Please report the installed version of the \"x11-common\"" \
           "package and the complete text of this error message to" \
           "<debian-x@lists.debian.org>."
}

# initialize variables for use by all session scripts

OPTIONFILE=/etc/X11/Xsession.options

SYSRESOURCES=/etc/X11/Xresources
USRRESOURCES=$HOME/.Xresources

SYSSESSIONDIR=/etc/X11/Xsession.d
USERXSESSION=$HOME/.xsession
USERXSESSIONRC=$HOME/.xsessionrc
ALTUSERXSESSION=$HOME/.Xsession
ERRFILE=$HOME/.xsession-errors

# attempt to create an error file; abort if we cannot
if (umask 077 && touch "$ERRFILE") 2> /dev/null && [ -w "$ERRFILE" ] &&
  [ ! -L "$ERRFILE" ]; then
  chmod 600 "$ERRFILE"
elif ERRFILE=$(tempfile 2> /dev/null); then
  if ! ln -sf "$ERRFILE" "${TMPDIR:=/tmp}/xsession-$USER"; then
    message "warning: unable to symlink \"$TMPDIR/xsession-$USER\" to" \
             "\"$ERRFILE\"; look for session log/errors in" \
             "\"$TMPDIR/xsession-$USER\"."
  fi
else
  errormsg "unable to create X session log/error file; aborting."
fi

exec >>"$ERRFILE" 2>&1

echo "$PROGNAME: X session started for $LOGNAME at $(date)"

# sanity check; is our session script directory present?
if [ ! -d "$SYSSESSIONDIR" ]; then
  errormsg "no \"$SYSSESSIONDIR\" directory found; aborting."
fi

# Attempt to create a file of non-zero length in /tmp; a full filesystem can
# cause mysterious X session failures.  We do not use touch, :, or test -w
# because they won't actually create a file with contents.  We also let standard
# error from tempfile and echo go to the error file to aid the user in
# determining what went wrong.
WRITE_TEST=$(tempfile)
if ! echo "*" >>"$WRITE_TEST"; then
  message "warning: unable to write to ${WRITE_TEST%/*}; X session may exit" \
          "with an error"
fi
rm -f "$WRITE_TEST"

# use run-parts to source every file in the session directory; we source
# instead of executing so that the variables and functions defined above
# are available to the scripts, and so that they can pass variables to each
# other
SESSIONFILES=$(run-parts --list $SYSSESSIONDIR)
if [ -n "$SESSIONFILES" ]; then
  set +e
  for SESSIONFILE in $SESSIONFILES; do
    . $SESSIONFILE
  done
  set -e
fi

exit 0

# vim:set ai et sts=2 sw=2 tw=80:
[/size]
Odgovori